Get User Playlist
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/user/playlist \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/user/playlist"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/user/playlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "20",
"hasMore": true,
"playList": [
{
"cover": "https://p16-sign.tiktokcdn-us.com/tos-useast5-p-85c255-tx/oIXDy1dyIIA7zvd0h4aiMdBUawivgUNvpnVBV~tplv-tiktokx-origin.image?dr=10395&x-expires=1763506800&x-signature=7oSZCLu5q6FKplEoHu5obvEcbjI%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a",
"creator": {
"avatarLarger": "https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/f8c7cad75f3a12205d31d6662d2555d5~tplv-tiktokx-cropcenter:1080:1080.jpeg?dr=14579&refresh_token=44dee363&x-expires=1743199200&x-signature=%2BGEGvUBERYBrAM3WxRM7lBR%2BwHk%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my",
"avatarMedium": "https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/f8c7cad75f3a12205d31d6662d2555d5~tplv-tiktokx-cropcenter:720:720.jpeg?dr=14579&refresh_token=9014dbf4&x-expires=1743199200&x-signature=z0YrUAc7zL43tXzRLreiqXkp3UQ%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=f20df69d&idc=my",
"avatarThumb": "https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/f8c7cad75f3a12205d31d6662d2555d5~tplv-tiktokx-cropcenter:100:100.jpeg?dr=14579&refresh_token=5e79e1f7&x-expires=1743199200&x-signature=JC18MQX811ztSmm8YN5MdLNjViA%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=f20df69d&idc=my",
"commentSetting": 0,
"downloadSetting": 0,
"duetSetting": 0,
"ftc": false,
"id": "6881290705605477381",
"isADVirtual": false,
"nickname": "Taylor Swift",
"openFavorite": true,
"privateAccount": false,
"secUid": "MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6",
"secret": false,
"signature": "This is pretty much just a cat account",
"stitchSetting": 0,
"ttSeller": false,
"uniqueId": "taylorswift",
"verified": true
},
"id": "7556291800638425869",
"mixId": "7556291800638425869",
"mixName": "Government shutdown",
"name": "Government shutdown",
"videoCount": 5
}
]
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}User
Get User Playlist
Get User Playlist
GET
/
api
/
user
/
playlist
Get User Playlist
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
User secUid
Minimum string length:
1Example:
"MS4wLjABAAAAOVL3gR6qKaY1C7FWW5x3dNZ-IXOYUrMA9PQ4k2kOZU9FNqvxo-xV4p_dUsQxtDUW"
The number of results to be returned. The default and maximum value is 20
Example:
20
cursor parameter is used for pagination. In the first request, the default value of cursor is 0. For subsequent requests, the value of cursor will be taken from the response of the previous request
Was this page helpful?
⌘I

